- [HTTP request](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters/rescheduleClusterMaintenance#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters/rescheduleClusterMaintenance#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters/rescheduleClusterMaintenance#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters/rescheduleClusterMaintenance#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters/rescheduleClusterMaintenance#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters/rescheduleClusterMaintenance#body.aspect)
- [RescheduleType](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters/rescheduleClusterMaintenance#RescheduleType)
- [Examples](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters/rescheduleClusterMaintenance#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters/rescheduleClusterMaintenance#try-it)

Reschedules upcoming maintenance event.

### HTTP request

`POST https://redis.googleapis.com/v1alpha1/{name=projects/*/locations/*/clusters/*}:rescheduleClusterMaintenance`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Redis Cluster instance resource name using the form: `projects/{projectId}/locations/{locationId}/clusters/{clusterId}` where `locationId` refers to a Google Cloud region. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rescheduleType": enum (`https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters/rescheduleClusterMaintenance#RescheduleType`), "scheduleTime": string } ``` |

| Fields ||
|---|---|
| `rescheduleType` | ``enum (`https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters/rescheduleClusterMaintenance#RescheduleType`)`` Required. If reschedule type is SPECIFIC_TIME, must set up scheduleTime as well. |
| `scheduleTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Optional. Timestamp when the maintenance shall be rescheduled to if rescheduleType=SPECIFIC_TIME, in RFC 3339 format, for example `2012-11-15T16:19:00.094Z`. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/redis.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## RescheduleType

Reschedule options.

| Enums ||
|---|---|
| `RESCHEDULE_TYPE_UNSPECIFIED` | Not set. |
| `IMMEDIATE` | If the user wants to schedule the maintenance to happen now. |
| `SPECIFIC_TIME` | If the user wants to reschedule the maintenance to a specific time. |